> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/compliance/set-aml-verdict-byork-super-light",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Set AML Verdict (BYORK Super Light)

> Set AML verdict for incoming transactions when **BYORK Super Light** (Manual Screening Verdict) is enabled. This endpoint is for Super Light only. For **BYORK Light**, use POST /screening/byork/verdict instead. When Super Light is retired, this endpoint will be deprecated; use the BYORK Light verdict API for new integrations.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /screening/aml/verdict/manual
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /screening/aml/verdict/manual:
    post:
      tags:
        - Compliance
      summary: Set AML Verdict (BYORK Super Light)
      description: >-
        Set AML verdict for incoming transactions when **BYORK Super Light**
        (Manual Screening Verdict) is enabled. This endpoint is for Super Light
        only. For **BYORK Light**, use POST /screening/byork/verdict instead.
        When Super Light is retired, this endpoint will be deprecated; use the
        BYORK Light verdict API for new integrations.
      operationId: setAmlVerdict
      parameters:
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AmlVerdictManualRequest'
      responses:
        '200':
          description: AML verdict set successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AmlVerdictManualResponse'
        '400':
          description: Feature not enabled for tenant.
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '425':
          description: Too Early - transaction not yet in pending screening.
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '500':
          description: Internal server error.
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<AmlVerdictManualResponse>> =
            fireblocks.compliance.setAmlVerdict(complianceApiSetAmlVerdictRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<AmlVerdictManualResponse>> response =
            fireblocks.compliance().setAmlVerdict(amlVerdictManualRequest,
            idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.compliance.set_aml_verdict(aml_verdict_manual_request,
            idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    AmlVerdictManualRequest:
      type: object
      required:
        - verdict
        - txId
      properties:
        verdict:
          type: string
          enum:
            - ACCEPT
            - REJECT
          description: The AML verdict to set for the transaction
          example: ACCEPT
        txId:
          type: string
          format: uuid
          description: The transaction ID to set the verdict for
          example: 550e8400-e29b-41d4-a716-446655440000
    AmlVerdictManualResponse:
      type: object
      required:
        - success
        - message
      properties:
        success:
          type: boolean
          example: true
        message:
          type: string
          example: AML verdict set successfully
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````